package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class PageDto {

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;

    /**
     * 是否统计totalCount。
     */
    @Schema(description = "是否统计totalCount。")
    private Boolean count;
}
