package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.UpdateGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class TourismBannerDto {

    /**
     * 所属类型
     */
    @Schema(description = "所属类型。")
    @NotNull(message = "所属类型不能为空",groups = {UpdateGroup.class})
    private Long belongTab;

    /**
     * 类型（0:PC;1:H5）。
     */
    @Schema(description = "类型。")
    private Integer type;
}
