package com.tourism.webadmin.app.website.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

@Data
public class DateRangePriceVo {

    private LocalDate startDate;

    private LocalDate endDate;

    private BigDecimal adultPrice;

    private BigDecimal childrenPrice;

    public DateRangePriceVo(LocalDate startDate, LocalDate endDate, BigDecimal adultPrice, BigDecimal childrenPrice) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.adultPrice = adultPrice;
        this.childrenPrice = childrenPrice;
    }
}
