package com.tourism.webadmin.app.website.vo;

import com.tourism.common.dict.model.GlobalDictItem;
import com.tourism.webadmin.back.model.TourHouseAreaMenu;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * HouseFilterListsVo接口。
 *
 * @author huangwen
 * @date 2024/11/21
 */
@Data
public class HouseFilterListsVo {


    private Map<String, List<GlobalDictItem>> elseMap;

    private List<HouseMenuVo> houseMenuTree;

}
