package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.back.vo.TourHouseAdvisorInfoVo;
import com.tourism.webadmin.back.vo.TourHouseFilesVo;
import com.tourism.webadmin.back.vo.TourHouseSaleInfoVo;
import lombok.Data;

import java.util.List;

/**
 * HouseFilterListsVo接口。
 *
 * @author huangwen
 * @date 2024/11/21
 */
@Data
public class HouseSaleDetailsVo {

    private TourHouseSaleInfoVo tourHouseSaleInfoVo;//房屋信息

    private List<String> housingAtlasLst;//房屋图集

    private List<String> surroundingAtlas;//周边配套图集

    private List<String> communityIntroductionAtlas;//小区介绍图集

    private List<TourHouseFilesVo> housingTypeAtlas;//房屋户型图集

    private List<TourHouseAdvisorInfoVo> houseAdvisorList;//房屋顾问集

}
