package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 门户网站中游记的二维菜单地区对象。
 *
 * @author 吃饭睡觉
 * @date 2024-10-12
 */
@Schema(description = "TourTravelNotesDirectoryVo视图对象")
@Data
public class WebSiteCaptchaImageVo {

    /**
     * uuid。
     */
    @Schema(description = "uuid")
    public String uuid;

    /**
     * 验证码img。
     */
    @Schema(description = "验证码img")
    public String img;
}
