package com.tourism.webadmin.app.wechat.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * DeliveryDefaultAddressDto接口。
 *
 * @author huangwen
 * @date 2024/11/2
 */
@Schema(description = "DeliveryDefaultAddressDto对象")
@Data
public class DeliveryDefaultAddressDto {

    /**
     * 地址id。
     */
    @Schema(description = "地址id。")
    private String id;

    /**
     * 是否默认地址 1默认。
     */
    @Schema(description = "是否默认地址 1默认 2不默认")
    private Integer isDefault;

}
