package com.tourism.webadmin.app.wechat.vo.shopfood;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * WechatQueryIndexBannerRestaurantVo接口。
 *
 * @author huangwen
 * @date 2024/10/22
 */
@Schema(description = "RestaurantCartVO视图对象")
@Data
public class WechatQueryIndexBannerRestaurantVo {

    /**
     * id。
     */
    @Schema(description = "店铺id")
    private String id;

    /**
     * restaurant_banner。
     */
    @Schema(description = "restaurant_banner")
    private String restaurantBanner;


    /**
     * restaurantBannerAfterConvert environmentImage转换后的地址。
     */
    @Schema(description = "restaurantBannerAfterConvert url转换后的地址")
    private String restaurantBannerAfterConvert;
}
