package com.tourism.webadmin.app.wechat.vo.tourism;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * IndexBannerTravelNoteVo接口。
 *
 * @author huangwen
 * @date 2024/10/22
 */
@Schema(description = "IndexBannerTravelNoteVo视图对象")
@Data
public class IndexBannerTravelNoteVo {

    /**
     * id。
     */
    @Schema(description = "游记id")
    private Long id;

    /**
     * banner图片。
     */
    @Schema(description = "banner图片")
    private String travelNotesBanner ;

    /**
     * travelNotesBanner 转换后的图片对象。
     */
    @Schema(description = "travelNotesBanner转换后的图片对象")
    private List<String> travelNotesBannerAfterConvert;
}
