package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 城市定位管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "城市定位管理VO视图对象")
@Data
public class TourMapDataVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private String id;

    /**
     * 城市名称城市。
     */
    @Schema(description = "城市名称城市")
    private String cityName;

    /**
     * 经度。
     */
    @Schema(description = "经度")
    private BigDecimal lon;

    /**
     * 纬度。
     */
    @Schema(description = "纬度")
    private BigDecimal lat;
}
