package com.tourism.webadmin.app.website.service;

import com.tourism.common.core.object.MyPageData;
import com.tourism.webadmin.app.website.dto.TourismBookProjectDto;
import com.tourism.webadmin.app.website.dto.TourismProjectToWebDto;
import com.tourism.webadmin.app.website.vo.WebSiteProjectDatePriceVo;
import com.tourism.webadmin.back.model.TourismProject;
import com.tourism.webadmin.back.vo.TourismProjectVo;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.validation.constraints.NotNull;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

public interface TourismProjectToWebService {

    MyPageData<TourismProjectVo> list(TourismProjectToWebDto tourismProjectDtoFilter);

    TourismProjectVo detail(TourismProject tourismProject);

    WebSiteProjectDatePriceVo view(@RequestParam String projectId);

    Boolean bookProject(HttpServletRequest request, @RequestBody TourismBookProjectDto tourismBookProjectDto);
}
