package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 门户网站中发布游记的选择所属分类(目的地)。
 *
 * @author 吃饭睡觉
 * @date 2024-10-12
 */
@Schema(description = "TourWriteBelongTabVo视图对象")
@Data
public class TourWriteBelongTabVo {

    private String id;

    private String menuName;

    private List<TourWriteBelongTabVo> tourWriteBelongTabVoList;
}
