package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

@Schema(description = "TourismProjectDatePrice视图对象")
@Data
public class TourismProjectDatePriceVo {

//    /**
//     * id。
//     */
//    @Schema(description = "id")
//    private Long id;

    /**
     * 出发日期。
     */
    @Schema(description = "出发日期")
    private LocalDate departureDate;

    /**
     * 成人价格。
     */
    @Schema(description = "成人价格")
    private BigDecimal adultPrice;

    /**
     * 儿童价格。
     */
    @Schema(description = "儿童价格")
    private BigDecimal childrenPrice;

//    /**
//     * 项目价格。
//     */
//    @Schema(description = "项目价格")
//    private String projectPrice;
}
