package com.tourism.webadmin.app.wechat.vo.tourism;

import com.tourism.webadmin.back.vo.TourTourismProjectTravelNotesVo;
import com.tourism.webadmin.back.vo.TourTourismTravelNotesContentVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * TourismNoteDetailVo接口。
 *
 * @author huangwen
 * @date 2024/11/2
 */
@Schema(description = "TourismNoteDetailVo视图对象")
@Data
public class TourismNoteDetailVo {

    /**
     * 旅游游记。
     */
    @Schema(description = "游记vo")
    private TourTourismProjectTravelNotesVo tourTourismProjectTravelNotesVo;

    /**
     * 游记富文本。
     */
    @Schema(description = "富文本vo")
    private TourTourismTravelNotesContentVo tourTourismTravelNotesContentVo;
}
