package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 签证类型信息VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "签证类型信息VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourVisaTypeVo extends BaseVo {

    /**
     * 签证类型id。
     */
    @Schema(description = "签证类型id")
    private String id;

    /**
     * 签证类型名称。
     */
    @Schema(description = "签证类型名称")
    private String title;

    /**
     * 签证类型介绍。
     */
    @Schema(description = "签证类型介绍")
    private String recommand;
}
