package com.tourism.common.huaweicloud.moderation.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "huaweicloud.moderation")
public class HuaweiCloudConfig {
    private String accessKey;
    private String secretKey;
    private String region;
    private String endpoint;
    private String projectId;
}
